Monday, 5 September 2016

Comparison of Software Requirement of different versions of BizTalk Servers



This page lists the software required for running BizTalk Server. 
         
Software
BizTalk Server 2009
BizTalk Server 2010
BizTalk Server 2013
BizTalk Server 2013R2
BizTalk Server 2016
Microsoft Windows
Windows Server 2008, Windows Server 2003, Windows® XP with Service Pack 3 (SP3), Windows Vista® with Service Pack 1 (SP1).
Windows 7, Windows Server 2008 R2, Windows Server 2008 R2 SP1, Windows Server 2008 SP2, Windows Vista® with Service Pack 2 (SP2).
Windows Server 2012, Windows Server 2008 R2 SP1, Windows 7 SP1, Windows 8

Windows Server 2012 R2, Windows Server 2012, Windows 8.1, Windows 7 SP1.
Windows Server 2016 PP1/TP4, Windows Server 2012 R2,, Windows 10, Windows 8.1
Internet Information Services (IIS)
Versions 6.0 and 7.0 are supported. Provides a scalable Web application infrastructure.
Required for: EDI, BAM, WSS Adapter, and UDDI.
Version 7.5 and 7.0 is supported. Provides a scalable Web application infrastructure.
Required for: EDI, BAM, WSS Adapter, and UDDI.
The version that comes with the operating system. KB 224609 lists the versions.
The version that comes with the operating system. KB 224609 lists the versions.
The version that comes with the operating system.
Windows Identity Foundation


Required when using the Windows SharePoint Services Client Side Object Model (CSOM).
Appendix B: Install the Microsoft SharePoint Adapter lists the specific BizTalk Server Windows SharePoint Services adapter options.

Required when using the Windows SharePoint Services Client Side Object Model (CSOM).
Appendix B: Install the Microsoft SharePoint Adapter lists the specific BizTalk Server Windows SharePoint Services adapter options.

Required when using the Windows SharePoint Services Client Side Object Model (CSOM).
Microsoft SharePoint
WSS 2.0 with Service Pack 3 (SP3), WSS 3.0 with Service Pack 1 (SP1), and Microsoft Office SharePoint Server 2007 (MOSS).
SharePoint Services 2010, SharePoint Foundation 2010, WSS 3.0 with Service Pack 2 (SP2), and Microsoft Office SharePoint Server 2007 Service Pack 1 (SP1) (MOSS).

SharePoint Services 2013, SharePoint Services Online, SharePoint Services 2010, SharePoint Services 2007
SharePoint Services 2013 SP1, SharePoint Services Online, SharePoint Services 2010
SharePoint 2016,
SharePoint 2013 SP1,
SharePoint Online
Microsoft Office
Microsoft Office Excel 2007 
Microsoft Office Excel 2010 or 2007
If you are using Microsoft Office Excel 2010, you must install Excel 2010 hotfix package – Knowledge Base article 2345338 (Description of the Excel 2010 hotfix package (excelc-x-none.msp, excel-x-none.msp): August 31, 2010).

Microsoft Office Excel 2013 or 2010.
If using Excel 2010, install KB 2345338.

Microsoft Office Excel 2013 or 2010
If using Excel 2010, install KB 2345338.

Microsoft Office Excel 2016 or 2013
Microsoft .NET Framework
Microsoft .NET Framework 3.5 with Service Pack 1 (SP1)
Microsoft .NET Framework 4 and .Net Framework 3.5 with Service Pack 1 (SP1) 

.NET Framework 4.5.x
.NET Framework 4.5.x
.NET Framework 4.6
Microsoft Visual Studio
Microsoft Visual Studio 2008 
Microsoft Visual Studio 2010 
Microsoft Visual Studio 2012
Microsoft Visual Studio 2013
Microsoft Visual Studio 2015
Microsoft Visual C++ Redistributable Package


Microsoft Visual C++ 2010 Redistributable Package.
On an x86 computer, install only the x86 version of the package. On an x64 computer, install both x86 and x64 versions of the package. The installer is available in the BizTalk Server installation under \Platform\SSO\Platform
Microsoft Visual C++ 2010 Redistributable Package.
On an x86 computer, install only the x86 version of the package. On an x64 computer, install both x86 and x64 versions of the package. The installer is available in the BizTalk Server installation under \Platform\SSO\Platform
Microsoft Visual C++ 2013 Redistributable Package.
Only the x86 version is required to be installed. Please install from
Microsoft SQL Server
SQL Server 2005 SP2 or 2008 
SQL Server 2008 R2 SP1 or SQL Server 2008 R2/2008 SP1 
SQL Server 2012 or SQL Server 2008 R2 SP1
For optimal performance, Microsoft recommends the Enterprise Edition of SQL Server. To fully use the BizTalk Server SDK or deploy BizTalk Server applications from a Visual Studio, install the SQL Server Development Tools.

SQL Server 2014 or SQL Server 2012 SP1
For optimal performance, Microsoft recommends the Enterprise Edition of SQL Server. To fully use the BizTalk Server SDK or deploy BizTalk Server applications from a Visual Studio, install the SQL Server Development Tools.

SQL Server 2016 or SQL Server 2014 SP1
For optimal performance, Microsoft recommends the Enterprise Edition of SQL Server. To fully use the BizTalk Server SDK or deploy BizTalk Server applications from a Visual Studio, install the SQL Server Development Tools.

SQL Server Database Mail / SQL Server 2005 Notification Services
SQL Server 2005 Notification Services   Note that this SQL Server 2005 feature is not included in SQL Server 2008, and must be downloaded separately.

SQL Server 2005 Notification Services   
SQL Server 2005 feature is not included in SQL Server 2008 R2 SP1/SQL Server 2008 R2/2008 SP1, and must be downloaded separately.

If you’re using SQL Server 2008 R2, you must install SQL Server 2005 Notification Services. Notification Services is not included with SQL Server 2008 R2. Download SQL Server 2005 Notification Services from Feature Pack for Microsoft SQL Server 2005 - December 2008.
If you’re using SQL Server 2012, configure SQL Server Database Mail

Configure 
SQLXML 4.0 with Service Pack 1
SQLXML 4.0 with Service Pack 1 
SQLXML 4.0 with Service Pack 1 
To install SQLXML 4.0 SP1, see  Microsoft SQL Server 2008 Feature Pack

To install SQLXML 4.0 SP1, see SqlXml 4.0 Service Pack 1 (SP1).
To install SQLXML 4.0 SP1,

1 comment:

  1. It is really a great work and the way in which u r sharing the knowledge is excellent.
    Biztalk Online Training Hyderabad

    ReplyDelete